Bug 1283131 - Attempt to avoid private data leaks in bugs opened by ABRT
Attempt to avoid private data leaks in bugs opened by ABRT
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks: 1279453 1279454
  Show dependency treegraph
 
Reported: 2015-11-18 05:51 EST by Jakub Filak
Modified: 2016-11-30 19:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-22 18:20:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Filak 2015-11-18 05:51:08 EST
Hello,

I am a maintainer of ABRT and I would like to make Bugzilla bugs opened by ABRT from Red Hat Enterprise Linux viewable only by the creator and Red Hat employees. My intention is to avoid private data leaks from our customers and RHEL users at all.

We introduced something similar for Fedora users in bug #1044653.

Expected results:
- Bug #1243371 should be viewable by Lubomir Rintel (the creator).
- the bug details should be viewable only by Red Hat employees
Comment 1 Jeff Fearn 2015-11-18 17:54:12 EST
Hi Jakub, it looks to me that anyone should be able to set the 'private' group on a bug, which should achieve what you want. Can you give it a try and see?
Comment 2 Jakub Filak 2015-11-19 02:07:52 EST
It works! Thank you. Are there any restriction on usage of the group or can we set the group to all bugs opened by ABRT without bad consequences?
Comment 3 Jeff Fearn 2015-11-22 18:20:39 EST
(In reply to Jakub Filak from comment #2)
> It works! Thank you. Are there any restriction on usage of the group or can
> we set the group to all bugs opened by ABRT without bad consequences?

There are no effects aside from access being limited.

Note You need to log in before you can comment on or make changes to this bug.